<?php
///if($_POST["monto_ins"]==""){echo "Falta el nombre"; return;}
if($_POST["codigo"]==""){echo "Verifique el cliente"; return;}
if($_POST["pagado"]==""){echo "Falta el monto del pago"; return;}
if($_POST["fecha"]==""){echo "Falta la fecha"; return;}
if($_POST["pagado"]<=0){echo "Monto invalido"; return;}
include_once '../php/config.php';
$sql2 = mysql_query("select * from inscripciones where id='".$_POST['codigo']."'") or die(mysql_error());
$dias =  @mysql_result($sql2, 0, "xdias");
$monto_pagos =  @mysql_result($sql2, 0, "monto_pagos");

$addDias = $_POST["pagado"] / $monto_pagos;
$xdias = $addDias * $dias;
$concepto = "Ingreso por pago del cliente: ".$_POST["nombre"];


			///nuevo;
			mysql_query("insert into ingresos set 
			cliente = '".$_POST['nombre']."',
			fecha = '".$_POST['fecha']."',
			hora = CURTIME(),
			monto = '".$_POST['pagado']."',
			tipo = '".$_POST['tipo']."',
			concepto = '$concepto',
			usuario = '".$_COOKIE['usuario']."',
			id_inscripcion = '".$_POST['codigo']."'") or die(mysql_error());
			
			mysql_query("update inscripciones set xdias=1 where tipo='Diario'");
			mysql_query("update inscripciones set xdias=7 where tipo='Semanal'");
			mysql_query("update inscripciones set xdias=15 where tipo='Quincenal'");
			mysql_query("update inscripciones set xdias=30 where tipo='Mensual'");	
	
	
		    mysql_query("update inscripciones set fultimo_pago='".$_POST['fecha']."' where id='".$_POST['codigo']."'") or die(mysql_error());
			
			
			
			
			mysql_query("update inscripciones set proximo_pago=DATE_ADD(proximo_pago, INTERVAL '$xdias'  DAY) where id='".$_POST['codigo']."'");
			


			///historico;
			$concepto = "Pago realizado al cliente ".$_POST['nombre'].", Por el usuario ".$_COOKIE["usuario"].", Fecha: $hoy, ".date("H:i:s");
			mysql_query("insert into historico set concepto='$concepto', fecha=CURDATE(), usuario='".$_COOKIE["usuario"]."'") or die(mysql_error());
         	
	
		echo 1;


?>